summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-09-17 04:59:43 +0200
committerMichał Górny <mgorny@gentoo.org>2026-09-17 05:22:55 +0200
commitff8eb67fbefd89684968337bf3a630a355ebdc31 (patch)
tree72a4f4414b31e11d38f08da9bda8f300e0626a2e /dev-python
parent177e36dfb60e7a008cf4f0c74f11fb127d1b8bed (diff)
dev-python/pypdf: Bump to 6.19.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pypdf/Manifest2
-rw-r--r--dev-python/pypdf/pypdf-6.19.0.ebuild61
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index 52bb0a442ed7..43a50faefde0 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -6,4 +6,6 @@ DIST pypdf-6.18.0.tar.gz 7024871 BLAKE2B e14b829e0b54904c8e445b83f860d76eb306b65
DIST pypdf-6.18.0.tar.gz.provenance 9694 BLAKE2B 5aedd7c28b8e8b3e778af725f4b20e9a34deb33b60c08bce214356c7ba80da053e970fb6a61b80ac8fba2f3b89bc580c2db67ed40b4f0f33201a658eb45c26fa SHA512 273d4b8bb9da317aa85a8d7fb5c1ea03d7f466b099ada848dd239a3f75cfef018f1085a4b8da87937757440aba839699884c9c928b473c7868ae472f43287d6d
DIST pypdf-6.18.1.tar.gz 7027577 BLAKE2B 21880eb3da99e5ad432466a76abf57b2e3a3fc8bdbb4add8b4140740a0dcae70886d8a3b4d08878c74e41d1e2a6b9c9d50aada2cc7eca365257d26a915ea4b76 SHA512 c4a452e1c87ae0e7c915df75471de5efb747230d0ee4391d4c6b47dab771a78ae07e85e9ad35736092a8066429237747c48afa0fd90bc140b392aeea1838bcf6
DIST pypdf-6.18.1.tar.gz.provenance 9788 BLAKE2B 3b073bb57e7d2ea5d98083213dc594e3b147370e4e44c6c743992bdc2e09d52d2b5cee3f9f1bcb99f1293458327ed0af35699c5477aa9d6339d4ae0a194a7e66 SHA512 7c253ea25e4ded5a649d3aa811f41ed94e0dc5e5eb183ca8c5ad4affa981be7bdc1e0e0070c35b2eb4f16df92ef180d0d04755556bfe1c8df63a8eba41165ad4
+DIST pypdf-6.19.0.tar.gz 7033266 BLAKE2B 3929cdf43fce4133c13dbbf6db50a94c602f9ff5408db2e2079075162ee4df3713d621df661511ec2d046f95a8719b46315033ce4db32c005eeb6a746a2e0b2e SHA512 61bf1b941500b935966b5dc01a64778d69d2afb9b6331c707cc0b48e165f5c2b316a6b8cf7c97603ff4b836ed09569e3530f1e44e8f655e013419a0e2aac018c
+DIST pypdf-6.19.0.tar.gz.provenance 9549 BLAKE2B 3cdf57e48527696229e53909b83e48ba9e5478bea7143c7128bf4b789acd0676ee0550f933c53af8855df16b665af768b632bc4aa41e668dded7a0a7fc29fb02 SHA512 d369583aec1be36f4b79129951345f5134a18c3cb769749a729db80d0ff12dcc956bd10f471a865ede8ae0473047a21cf284784d29c7e63faef0cc7220aba38e
DIST pypdf-sample-files-818dc013ad1f537198e9fcfae8a6b0dffe25ffa3.gh.tar.gz 11850954 BLAKE2B fbd0af91de44f2d224b3266727f0dfc462efb4d23176f4ebff147cbfa37337d891859c468b545d0c00796048584e6b621dc622d667e3d45c0b89b92f29ca3030 SHA512 bc601bfaf17f31c6358f594eaf879479e97028d7f5e5825c309a5d1eb843bfea5080c9e151287a0d915ecbc3f4d4755e326ac8fa1ceeb696c76b9f5ecc0d7e9f
diff --git a/dev-python/pypdf/pypdf-6.19.0.ebuild b/dev-python/pypdf/pypdf-6.19.0.ebuild
new file mode 100644
index 000000000000..deea71e15f9a
--- /dev/null
+++ b/dev-python/pypdf/pypdf-6.19.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYPI_VERIFY_REPO=https://github.com/py-pdf/pypdf
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+SAMPLE_COMMIT=818dc013ad1f537198e9fcfae8a6b0dffe25ffa3
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI+="
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ >=dev-python/cryptography-3.1[${PYTHON_USEDEP}]
+ dev-python/fonttools[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8.0.0[jpeg,jpeg2k,tiff,zlib,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ media-libs/jbig2dec[png]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-timeout )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # probably requires extra deps
+ tests/test_appearance_stream.py::test_appearance_stream_rtl
+ # speed test, uses tons of memory
+ tests/test_filters.py::test_flatedecode__decode_png_prediction__speed
+ # apparently we get half the limit somehow?
+ tests/generic/test_data_structures.py::test_dictionary_object__read_from_stream__missing_length__limit
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}" "${S}"/sample-files || die
+ fi
+}
+
+python_test() {
+ epytest -o addopts= -m "not enable_socket"
+}